VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget:

## Avaliable Methods
public method | set_library_item_id ()
public method | get_library_item_id ()
public method | get_library_id ()
public method | set_library_id ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget` class specifies the target library item when capturing a virtual machine or virtual appliance as an OVF package in a library item in a content library. The target can be an existing library item, which will be updated, creating a new version, or it can be a newly created library item in a specified library. See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.create` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget::get_library_id | ( |  | ) |

Gets the value of 'library_id' property.

Return values

  library_id | - The current value of the field. Identifier of the library in which a new library item should be created. This field is not used if the `libraryItemId` field is specified. Optional#

Code:
click to view
# Number of lines of code in get_library_id: 4
sub get_library_id {
my ($self, %args) = @_;
return $self->{'library_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget::get_library_item_id | ( |  | ) |

Gets the value of 'library_item_id' property.

Return values

  library_item_id | - The current value of the field. Identifier of the library item that should be should be updated. Optional#

Code:
click to view
# Number of lines of code in get_library_item_id: 4
sub get_library_item_id {
my ($self, %args) = @_;
return $self->{'library_item_id'};
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{library_id} = $args{'library_id'};
$self->{library_item_id} = $args{'library_item_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.library_item.create_target');
$self->set_binding_field('key' => 'library_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'library_item_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget::set_library_id | ( |  | ) |

Sets the given value for 'library_id' property.

Parameters

  library_id | - New value for the field. Identifier of the library in which a new library item should be created. This field is not used if the `libraryItemId` field is specified.

Code:
click to view
# Number of lines of code in set_library_id: 5
sub set_library_id {
my ($self, %args) = @_;
$self->{'library_id'} = $args{'library_id'};
return;
}

public method Com::Vmware::Vcenter::Ovf::LibraryItem::CreateTarget::set_library_item_id | ( |  | ) |

Sets the given value for 'library_item_id' property.

Parameters

  library_item_id | - New value for the field. Identifier of the library item that should be should be updated.

Code:
click to view
# Number of lines of code in set_library_item_id: 5
sub set_library_item_id {
my ($self, %args) = @_;
$self->{'library_item_id'} = $args{'library_item_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/LibraryItem.pm